Subject: Re: bug#36161: 27.0.50; display-buffer-in-previous-window might choose not to use PREVIOUS-WINDOW

From: Dmitry Gutov <[email-masked]>
Date: Sun, 16 Jun 2019 03:47:42 +0300

On 13.06.2019 11:43, martin rudalics wrote:

 > Hence it's more suitable for buffers popping up in special occasions
 > (like, for example, when a bug occurred and the debugger should be
 > entered) and less suitable for buffer editing.

I have also noticed it's not always good for special buffers either, 
e.g. if I run xref-find-definitions, press q, and run it again, 
different windows will be used for the two times.

> A 'previous-window' ALIST entry should continue to support the
> principle of least surprise by allowing to choose a non-selected
> window that never showed the buffer before.  The selected window,
> however, should be always either chosen or excluded from choice by
> special means - either via 'display-buffer-same-window' or using an
> 'inhibit-same-window' entry.

So about that main use case (the Debugger), can it just exclude the 
selected window using inhibit-same-window? That would obviate the need 
for special logic in this case.